#
# spec file for package metacity (Version 2.20.0)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl atk atk-devel attr audiofile audit-libs autoconf automake avahi avahi-glib bash binutils bzip2 cairo cairo-devel coreutils cpio cpp cpp42 cracklib cups-libs cvs dbus-1 dbus-1-glib desktop-translations diffutils esound fdupes file filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc42 gconf2 gconf2-devel gconf2-lang gdbm gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-patch-translation gnome-vfs2 gnome-vfs2-lang grep groff gtk2 gtk2-devel gzip hicolor-icon-theme info insserv intltool keyutils-libs krb5 less libacl libasound2 libattr libbonobo libbonobo-lang libbz2-1 libbz2-devel libcom_err2 libdaemon libdb-4_5 libdrm libexpat-devel libexpat1 libgcc42 libglade2 libglade2-devel libgnome libgnome-lang libgomp42 libjpeg libltdl-3 libmudflap42 libopenssl0_9_8 libpng libpng-devel libreadline5 libstdc++-devel libstdc++42 libstdc++42-devel libtiff3 libtool libusb libuuid1 libvolume_id libxcrypt libxml2 libxml2-devel libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg nss-mdns openssl-certs orbit2 orbit2-devel pam pam-modules pango pango-devel patch pcre pcre-devel perl perl-XML-Parser perl-base permissions pkg-config popt popt-devel rpm sed startup-notification startup-notification-devel sysvinit tar tcpd texinfo timezone update-desktop-files util-linux xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           metacity
BuildRequires:  fdupes gconf2-devel gnome-patch-translation gtk2-devel intltool libglade2-devel perl-XML-Parser startup-notification-devel update-desktop-files
License:        GPL v2 or later
Group:          System/GUI/GNOME
Version:        2.20.0
Release:        4.2
Summary:        A Fast Window Manager for the GNOME 2.x Desktop
Source:         %{name}-%{version}.tar.bz2
Patch:          metacity-ping-timeout.patch
Patch2:         metacity-preconf.dif
Patch8:         metacity-audible-bell-off.patch
# Rather than maintain two versions of the same patch, it seems easier
# to apply the second one on after the first.  In SLES, we enable the
# "windows key" by default in metacity-windows-key-binding.patch.  In
# openSUSE, that default is unpopular, so we turn it off in
# metacity-disable-window-keys.patch.  Moving forward, care needs to be
# taken to keep the second patch consistent with the first.
Patch9:         metacity-windows-key-binding.patch
Patch10:        metacity-disable-window-keys.patch
# PATCH-FIX-OPENSUSE metacity-bnc331835-bgo488468-transient-net-wm-user-time.diff bnc331835 bgo488468 federico@novell.com
Patch11:        metacity-bnc331835-bgo488468-transient-net-wm-user-time.diff
Url:            http://www.gnome.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# Only for /usr/share/gnome directory ownership:
BuildRequires:  libgnome
# For /usr/share/control-center ownership
# BuildRequires:  control-center2
# Requires:       libgnome control-center2
Requires:       libgnome
Requires:       %{name}-lang = %{version}
AutoReqProv:    on
%gconf_schemas_prereq

%description
Metacity is a fast window manager for the GNOME 2.x Desktop. It can be
seen as an alternative to Sawfish. Many users prefer Metacity because
it integrates well with the GNOME 2.x Desktop.



%debug_package
%package devel
Summary:        Include Files and Libraries mandatory for Development.
Group:          System/GUI/GNOME
Requires:       %{name} = %{version} gtk2-devel

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



%lang_package
%prep
%setup -q
gnome-patch-translation-prepare
%patch -p1
%patch2 -p1
%patch8
%patch9
# We stick with our default behavior on SLES but not on openSUSE.
%if ! %sles_version
%patch10 -p1
%endif
%patch11 -p1
gnome-patch-translation-update

%build
# needed for metacity-2.16.3:
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure\
	--libexecdir=%{_prefix}/lib/%{name}\
	--disable-static\
	--disable-schemas-install\
	--disable-compositor
make %{?jobs:-j%jobs}

%install
%makeinstall
%find_lang %{name}
%find_gconf_schemas
cat %{name}.schemas_list >%{name}.lst
%fdupes $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%pre -f %{name}.schemas_pre

%post
%run_ldconfig
%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%postun
%run_ldconfig

%files -f %{name}.lst
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_libdir}/*.so.*
%dir %{_datadir}/gnome/wm-properties
%{_datadir}/gnome/wm-properties/*.desktop
%{_datadir}/metacity
%{_datadir}/themes/*
%doc %{_mandir}/man*/*
%{_prefix}/lib/metacity
# Avoid cyclic dependency on control-center
%dir %{_datadir}/gnome-control-center
%dir %{_datadir}/gnome-control-center/keybindings
%{_datadir}/gnome-control-center/keybindings/50-metacity-*key.xml

%files lang -f %{name}.lang

%files devel
%defattr (-, root, root)
%{_includedir}/metacity-1
%{_libdir}/*.so
%{_libdir}/*.*a
%{_libdir}/pkgconfig/*.pc

%changelog
* Thu Mar 06 2008 - federico@novell.com
- Added metacity-bnc331835-bgo488468-transient-net-wm-user-time.diff
  to fix https://bugzilla.novell.com/show_bug.cgi?id=331835 - Make
  transient windows not steal the focus.
* Mon Sep 17 2007 - sbrabec@suse.cz
- Updated to version 2.20.0:
  * prevent a crash on logout with metacity subsequently not being
  restored in future sessions
  * translations update
* Thu Sep 13 2007 - maw@suse.de
- Add metacity-disable-window-keys.patch, which disables the
  default binding of the "windows key" on openSUSE (#217044); note
  that future releases of SLES will be unimpacted by this change.
* Thu Aug 30 2007 - jpr@suse.de
- Update to 2.19.55
 - Noninteger auto-raise delay is not assumed to be zero (BGO #377491)
 - Fix mangled window title in "Force Quit" (BGO #462734)
 - "Close" can appear at any point in the window menu, and now
  appears at the bottom (BGO #104026)
 - Windows which are always on top have "stick" insensitive
  (BGO #460997)
 - All bitfields in window structure are together for
  optimisation (BGO #450271)
 - Use the correct directory when installing keybindings
  (BGO #454055)
 - Translations
- Keyboard shortcut "Start terminal" missing (#244493)
- Remove unnecessary autoreconf call
- Remove configure arg FIXME
* Wed Aug 08 2007 - maw@suse.de
- Use %%fdupes
- Split off a -lang subpackage.
* Wed Aug 01 2007 - mauro@suse.de
- Update to version 2.19.34
- Bugfixes for: #459027, #449427, #92212, #450271.
* Sun Jul 15 2007 - aj@suse.de
- Avoid build cycle with control-center2.
* Fri Jul 06 2007 - maw@suse.de
- Update to version 2.19.21
- Numerous bugfixes and translation updates.
* Wed Apr 11 2007 - maw@suse.de
- Update to version 2.18.2
- Fixes a bug with missing pixels in themes with rounded corners
- Updated translations for the gl and nb locales.
* Fri Mar 23 2007 - maw@suse.de
- Update to version 2.18.0
- b.g.o #408902, #408899, #395560, #382962, and #358715.
* Mon Feb 19 2007 - maw@suse.de
- Update to version 2.17.5.
* Wed Feb 07 2007 - sbrabec@suse.cz
- Do not build unusable static libraries (#238552).
* Mon Dec 18 2006 - sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
- Splitted devel subpackage.
* Sun Oct 15 2006 - danw@suse.de
- Remove dead patches
- Remove pre-compiz patches for using metacity with xcompmgr under xgl
- Update and re-enable metacity-windows-key-binding.patch (203080)
* Tue Oct 03 2006 - jhargadon@suse.de
- update to version 2.16.3
- fix longstanding focus bug with mouse focus (not sloppy focus) and
  popup override redirect windows, such as mozilla's/firefox's
  location bar autocompletion, causing nasty flickering and lost
  keystrokes
- prevent a crash when closing apps run remotely over ssh
- ignore edge resistance for size-increment windows when resizing
  with the keyboard
- automatic detection of stable/unstable in configure script
- make windows be stacked correctly before showing them
- use guint32 for timestamps
- fix stuck grab, letting focus be transferred between windows
- windows returning from fullscreen are constrained to be onscreen
- Clear the transient_for flag of a window after emitting a warning
- Replace copy_of_gdk_x11_window_set_user_time() with the real thing
- translation updates
* Mon Sep 18 2006 - danw@suse.de
- remove metacity-2.12.0-border-effects.patch, which is a useless
  deviation from upstream to add a gconf option that probably no one
  even knows exists any more. #203087
* Thu Sep 14 2006 - jhargadon@suse.de
- update to version 2.16.0
- updated translations
- Fix the build with c89/gcc 2.95
* Tue Sep 12 2006 - jhargadon@suse.de
- added a patch to fix a function that would return random data in
  ui.c
* Wed Aug 30 2006 - jhargadon@suse.de
- disabled metacity-windows-key-binding.patch and
  metacity-2.12.0-border-effects-2.patch because of bug #201997
- update to version 2.15.34
- allow moving maximized windows between xineramas again
- fix an uninitialized-usage bug with net_wm_user_time that breaks
  focus with new windows
- re-fix accessibility events for the alt-tab popup
- update the close pixmap to fit better with the other pixmaps of the
  menu
- fix several fullscreen handling bugs I introduced, causing
  fullscreen windows to not actually be shown fullscreen
- fix keybindings with hex-values, coming from special extended
  keyboard keys
- fix metacity-dialog handling of arguments
* Wed Aug 16 2006 - jhargadon@suse.de
- update to version 2.15.21
- Add a constrain_titlebar_visible constraint
- remove the infinite edge resistance
- make it so maximized windows do not have rounded corners
- fix the heuristic for determining if windows can be made
  fullscreen
- make sure window features get recalculated when the screen is
  resized
- react to _NET_STARTUP_ID changes
- return the window to maximized state if the window was "shaken
  loose" from maximized state during a resize but the resize is later
  aborted
- fix button lighting with dragged clicks
- don't minimize in response to double clicks on the titlebar when
  minimiziation should not be allowed
- fix some titlebar-not-on-screen constraint issues
- fix a logic bug so that the whole titlebar becomes sensitive to
  mouse clicks
- make mouse cursor when moving windows become a hand
- Fix a crash on exit/logout from assuming a compositor would always
  exist
- prevent long titles from "sticking" in the tasklist
- handle sync counter notifications in the compositor
- prevent a crash when changing resolution
- Add a tabbing function, bound to alt-f6 by default, to cycle
  through the windows of the current application
* Fri Jun 16 2006 - jimmyk@suse.de
- Added a keybinding for opening the main-menu when the windows key is pressed,
  BNC #155437.
* Thu Jun 08 2006 - danw@suse.de
- Remove xsession desktop file, since metacity alone is useless
  as an xsession. #181814
* Wed May 17 2006 - joeshaw@suse.de
- Add patch to turn audible bell off by default.  (bnc #176424)
* Sun Mar 05 2006 - dobey@suse.de
- Default to new Gilouche theme
* Sun Feb 19 2006 - aj@suse.de
- Reduce BuildRequires.
* Wed Feb 15 2006 - gekker@suse.de
- Fix dual-head bug (b.g.o#319423)
* Wed Feb 01 2006 - sbrabec@suse.cz
- Use translation compendium gnome-patch-translation.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 18 2006 - dobey@suse.de
- Use Chlorophyll as the default theme now
* Thu Dec 01 2005 - gekker@suse.de
- Update to version 2.12.2
* Thu Oct 13 2005 - gekker@suse.de
- Update to version 2.12.1
* Thu Sep 29 2005 - gekker@suse.de
- Add patches to metacity to support better support Xgl
* Thu Sep 22 2005 - clahey@suse.de
- Switch from 4 desktops to 1.
* Tue Sep 06 2005 - gekker@suse.de
- Update to version 2.12.0 (GNOME 2.12)
* Tue Aug 23 2005 - gekker@suse.de
- Update to version 2.11.3
* Thu Aug 11 2005 - gekker@suse.de
- Update to version 2.11.2
* Tue Aug 02 2005 - gekker@suse.de
- Update to version 2.11.1
* Sat Jul 23 2005 - gekker@suse.de
- Update to version 2.11.0
- Remove *.*a files from package
* Thu Jul 21 2005 - federico@novell.com
- Added metacity-6626-raise-on-click.diff; this adds a boolean GConf
  key called /apps/metacity/general/raise_on_click that controls whether
  windows get raised to the front when a button is pressed on them.  Fixes
  bug #6626.
* Wed Jun 22 2005 - gekker@suse.de
- Update to version 2.10.1
* Thu Mar 17 2005 - sbrabec@suse.cz
- Disabled metacity's compositing manager (#61691).
* Thu Mar 10 2005 - gekker@suse.de
- Update to version 2.10.0 (GNOME 2.10).
* Fri Mar 04 2005 - gekker@suse.de
- Update to version 2.9.34
* Fri Feb 11 2005 - gekker@suse.de
- Update to version 2.9.13
* Thu Feb 10 2005 - adrian@suse.de
- install session desktop file
* Sun Feb 06 2005 - gekker@suse.de
- Update to version 2.9.8
* Wed Jan 19 2005 - clahey@suse.de
- Updated to version 2.9.3.
* Tue Jan 04 2005 - gekker@suse.de
- Update to version 2.9.2
* Wed Dec 22 2004 - gekker@suse.de
- Update to version 2.9.0
- Remove titlebar-font-setup.patch, included in update.
* Tue Nov 23 2004 - ro@suse.de
- fix build on 9.2 (missing so links for libXfixes)
* Tue Nov 02 2004 - mmj@suse.de
- Locale rename: no -> nb
* Tue Oct 12 2004 - sbrabec@suse.cz
- Fixed libexecdir for bi-arch (#47050).
* Thu Apr 29 2004 - hhetter@suse.de
- updated 2.8.0 [GNOME2.6]
* Fri Mar 12 2004 - hhetter@suse.de
- default theme to Industrial
* Wed Mar 10 2004 - sbrabec@suse.cz
- Fixed gconf schemas installation (#33114).
* Mon Mar 01 2004 - sbrabec@suse.cz
- Allow setting of titlebar font in gnome-font-properties (workaround
  for bug #31388, http://bugzilla.gnome.org/show_bug.cgi?id=104177).
- Disable schemas installation during %%install.
* Wed Feb 25 2004 - hhetter@suse.de
- apply metacity-ping-timeout.patch, increase the time
  metacity detects crashed programs
* Thu Feb 12 2004 - hhetter@suse.de
- gconf schema (de-)installation in %%post and %%postun
* Mon Feb 09 2004 - hhetter@suse.de
- updated to version 2.6.3 [GNOME2.4.2]
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig
* Thu Oct 09 2003 - sbrabec@suse.cz
- Updated to version 2.6.2 (GNOME 2.4).
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Tue Jun 24 2003 - sbrabec@suse.cz
- Updated to version 2.4.55.
- Updated neededforbuild.
- Prefix clash fix (wm-properties).
- Fixed directory owhership.
* Thu Mar 13 2003 - sbrabec@suse.cz
- Fixed desktop hang for certain transient loops (k3b-setup, bug 24069).
- Allow startup-notification.
* Thu Feb 06 2003 - hhetter@suse.de
- updated to version 2.4.34 [GNOME 2.2.0]
* Fri Jan 31 2003 - sf@suse.de
- fixed library path for lib64
* Tue Jan 14 2003 - hhetter@suse.de
- updated to verion 2.4.13
* Mon Jan 06 2003 - sbrabec@suse.cz
- Updated to version 2.4.8.
- Updated %%files.
* Wed Oct 23 2002 - hhetter@suse.de
- fix kde datadir
- fix wrong docdir
- updated to version 2.4.2
- FHS fix
* Fri Sep 27 2002 - ro@suse.de
- Added alsa alsa-devel to neededforbuild (esound)
* Tue Aug 20 2002 - hhetter@suse.de
- added PreReq: filesystem
* Mon Aug 12 2002 - hhetter@suse.de
- updated to version 2.4.0
- fix filelist for new theme conventions
* Sat Jul 27 2002 - adrian@suse.de
- fix neededforbuild
* Fri Jun 14 2002 - hhetter@suse.de
- provide schemas
* Mon Jun 10 2002 - hhetter@suse.de
- initial SuSE Package
